Package org.eclipse.mat.snapshot.model

## Interface IObject.Type

Enclosing interface:
  IObject

    public static interface IObject.Type

The type of the primitive array.

### Field Summary

Fields
`static int` `BOOLEAN` A array of booleans or boolean field
`static int` `BYTE` A array of byte or byte field
`static int` `CHAR` A array of char or char field
`static int` `DOUBLE` A array of double or double field
`static int` `FLOAT` A array of float or float field
`static int` `INT` A array of int or int field
`static int` `LONG` A array of long or long field
`static int` `OBJECT` An object array/field
`static int` `SHORT` A array of short or short field

### Field Detail

#### OBJECT

    static final int OBJECT

An object array/field

See Also:
  Constant Field Values

#### BOOLEAN

    static final int BOOLEAN

A array of booleans or boolean field

See Also:
  Constant Field Values

#### CHAR

    static final int CHAR

A array of char or char field

See Also:
  Constant Field Values

#### FLOAT

    static final int FLOAT

A array of float or float field

See Also:
  Constant Field Values

#### DOUBLE

    static final int DOUBLE

A array of double or double field

See Also:
  Constant Field Values

#### BYTE

    static final int BYTE

A array of byte or byte field

See Also:
  Constant Field Values

#### SHORT

    static final int SHORT

A array of short or short field

See Also:
  Constant Field Values

#### INT

    static final int INT

A array of int or int field

See Also:
  Constant Field Values

#### LONG

    static final int LONG

A array of long or long field

See Also:
  Constant Field Values